import React__default from'react';import {Modal,Form,Input,Button}from'antd';const {
  Item
} = Form;
const layout = {
  labelCol: {
    span: 8
  },
  wrapperCol: {
    span: 16
  }
};
const tailLayout = {
  wrapperCol: {
    offset: 8,
    span: 16
  }
};
const NewRepositoryModal = ({
  visible,
  loading,
  onClose,
  handleSubmit
}) => {
  const onFinish = values => {
    handleSubmit(values);
  };
  return React__default.createElement(Modal, {
    title: "New Repository",
    visible: visible,
    onCancel: onClose,
    destroyOnClose: true,
    footer: false,
    okButtonProps: {
      style: {
        display: 'none'
      }
    },
    cancelButtonProps: {
      style: {
        display: 'none'
      }
    }
  }, React__default.createElement(Form, {
    onFinish: onFinish,
    ...layout
  }, React__default.createElement(Item, {
    label: "Repository Name",
    name: "name",
    rules: [{
      required: true,
      message: 'Please input repository name!'
    }]
  }, React__default.createElement(Input, null)), React__default.createElement(Item, {
    ...tailLayout
  }, React__default.createElement(Button, {
    size: "large",
    type: "primary",
    className: "m-0",
    htmlType: "submit",
    loading: loading
  }, "Add Repository"))));
};export{NewRepositoryModal};//# sourceMappingURL=NewRepository.js.map
