import*as React from'react';import {Card,Popconfirm}from'antd';const RepositoryCard = ({
  repository,
  onEdit,
  onRemove
}) => {
  const edit = () => onEdit(repository);
  const remove = () => onRemove(repository);
  return React.createElement(Card, {
    hoverable: true,
    actions: [React.createElement("span", {
      key: "edit",
      onClick: edit
    }, "Edit"), React.createElement(Popconfirm, {
      title: "Are you sure?",
      okButtonProps: {
        danger: true
      },
      onConfirm: remove,
      key: "remove"
    }, React.createElement("span", null, "Remove"))]
  }, React.createElement(Card.Meta, {
    title: repository.name
  }));
};export{RepositoryCard};//# sourceMappingURL=RepositoryCard.js.map
