import*as React from'react';import {useQuery}from'@apollo/client/react/index.js';import {chartVersionsDocument}from'../components/generated.js';import'@remix-run/react';import'antd';import'lodash-es';import'moment';import'react-markdown';import'@ops-stack/core';import'@adminide-stack/core';import'../components/ChartInstallation.js';import {TagSelectorComponent}from'../components/TagSelector.js';import'react-redux';import'rxjs';import'@adminide-stack/extension-api/lib/react/index.js';import'@adminide-stack/extension-api';import'@ant-design/icons';import'@admin-layout/ant-ui';function TagSelector({
  repository,
  image,
  selected
}) {
  const {
    data = {},
    loading
  } = useQuery(chartVersionsDocument, {
    variables: {
      repository,
      chartname: image.name
    }
  });
  return React.createElement(TagSelectorComponent, {
    image: image,
    disabled: !selected,
    tags: data.getChartVersions,
    loading: loading
  });
}export{TagSelector};//# sourceMappingURL=TagSelector.js.map
