import 'reflect-metadata';
import React from 'react';
import { IMenuPosition } from '@common-stack/client-react';
export declare const chartsPageStore: ({
    key: string;
    name: string;
    path: string;
    icon: React.JSX.Element;
    priority: number;
    component: (props: any) => React.JSX.Element;
    tab?: undefined;
    position?: undefined;
    exact?: undefined;
    hideInMenu?: undefined;
} | {
    key: string;
    name: string;
    tab: string;
    path: string;
    position: IMenuPosition;
    icon: React.JSX.Element;
    priority: number;
    component: import("react-redux").ConnectedComponent<(props: any) => React.JSX.Element, {
        [x: string]: any;
        [x: number]: any;
        [x: symbol]: any;
        context?: React.Context<import("react-redux").ReactReduxContextValue<any, import("redux").UnknownAction>>;
        store?: import("redux").Store;
    } | {
        [x: string]: any;
        [x: number]: any;
        [x: symbol]: any;
        store?: import("redux").Store;
    }>;
    exact: boolean;
    hideInMenu?: undefined;
} | {
    key: string;
    name: string;
    tab: string;
    path: string;
    exact: boolean;
    component: (props: any) => React.JSX.Element;
    icon?: undefined;
    priority?: undefined;
    position?: undefined;
    hideInMenu?: undefined;
} | {
    key: string;
    path: string;
    name: string;
    hideInMenu: boolean;
    tab: string;
    exact: boolean;
    component: ({ location, ...props }: {
        [x: string]: any;
        location: any;
    }) => React.JSX.Element;
    icon?: undefined;
    priority?: undefined;
    position?: undefined;
})[];
declare const filteredTabs: any;
declare const filteredRoutes: any;
export { filteredRoutes, filteredTabs };
//# sourceMappingURL=compute.d.ts.map